#!/bin/bash

mypath="$(dirname "`readlink -f "$0"`")"

tmpdir=$(mktemp -d)
cat -> $tmpdir/pti-whcheckout.desktop <<EOF
    [Desktop Entry]
    Name=Warehouse Checkout
    Comment=Warehouse checkout desktop application
    Exec=$mypath/run.sh
    Icon=gnome-web-browser
    Type=Application
    Terminal=false
    Categories=Office;
EOF

desktop-file-install --dir=$HOME/.local/share/applications $tmpdir/pti-whcheckout.desktop

rm -rf $tmpdir